Ejecuta comando en una capa y establece la actual a capa 0

Ir abajo

Ejecuta comando en una capa y establece la actual a capa 0 Empty Ejecuta comando en una capa y establece la actual a capa 0

Mensaje por supertxull el Jue Mar 28, 2019 1:33 pm

Hola a todos, a ver si podéis echarme una mano con esta rutina:
Me gustaría que hiciese la nube de revisión en la capa "_SIM_COMENTARIOS" y al finalizar la orden, se establezca la capa 0 como actual.
¿Es posible?
Código:
(vl-load-com)
(defun C:REVISIONES ()
  (initcommandversion 2)
  (setq acadObj (vlax-get-acad-object))
  (setq doc (vla-get-ActiveDocument acadObj))
  (setq color (vlax-create-object
 (strcat "AutoCAD.AcCmColor."
 (substr (getvar "ACADVER") 1 2)
 )
      )
  )
  (setq layerObj (vla-Add (vla-get-Layers doc) "_SIM_REVISIONES"))
  (vla-put-color layerObj "10")
  (SETVAR "REVCLOUDGRIPS" 1)
  (SETVAR "REVCLOUDCREATEMODE" 0)
  (vla-put-ActiveLayer doc layerObj)
  (setq acadObj (command "._REVCLOUD" "L" "0.5" "0.5" "E" "C"))
  (vla-Regen doc :vlax-true)
  (vlax-release-object color)
  (SETVAR "CLAYER" "0")
)

supertxull

Mensajes : 17
Fecha de inscripción : 21/03/2016

Volver arriba Ir abajo

Ejecuta comando en una capa y establece la actual a capa 0 Empty revisiones ajustado

Mensaje por Admin el Lun Nov 18, 2019 2:42 pm

Código:
(vl-load-com)
(defun REVISIONES ()
  (initcommandversion 2)
  (setq acadObj (vlax-get-acad-object))
  (setq doc (vla-get-ActiveDocument acadObj))
  (setq color (vlax-create-object
 (strcat "AutoCAD.AcCmColor."
 (substr (getvar "ACADVER") 1 2)
 )
      )
  )
  (setq layerObj (vla-Add (vla-get-Layers doc) "_SIM_REVISIONES"))
  (vla-put-color layerObj "10")
  (SETVAR "REVCLOUDGRIPS" 1)
  (SETVAR "REVCLOUDCREATEMODE" 0)
 (setq cloud-min-arc (gETVAR '*REVCLOUDMINARCLENGTH )); guardar arc minimo
  (setq cloud-max-arc  (gETVAR '*REVCLOUDMAXARCLENGTH ));guardar arc max
  (SETVAR '*REVCLOUDMINARCLENGTH 0.5) ; ajustar arc min
  (SETVAR '*REVCLOUDMAXARCLENGTH 0.5);ajustar arc max
  
  (vla-put-ActiveLayer doc layerObj)
  (setq last-ent (entlast))
  (setq acadObj (command "._REVCLOUD"
;;;                         "a" ;para establecer el arco
;;;                         "0.5" "0.5"  
                         "o" ; seleccionar por Objeto
                         last-ent ;el último objeto , lo que pusiste por L
                         "y"; invertir la direccion  
                         ;"0.5" "0.5" ingresadas arriba
                         ;"E" "C"
                         ;; no entiendo que opciones son estas
                         ))
  (vla-Regen doc :vlax-true)
  (vlax-release-object color)
  (SETVAR "CLAYER" "0")
  (SETVAR '*REVCLOUDMINARCLENGTH cloud-min-arc ) ; restablecer arc min
  (SETVAR '*REVCLOUDMAXARCLENGTH cloud-max-arc);restablecer arc max

  
)

(defun c:REVISIONES ()

(revisiones)
  )

Admin
Admin

Mensajes : 206
Fecha de inscripción : 16/03/2016
Edad : 71
Localización : CORDOBA ARGENTINA

http://acadhispano.foroargentina.net

Volver arriba Ir abajo

Volver arriba


 
Permisos de este foro:
No puedes responder a temas en este foro.